Bug 1208222 (okteta4) - Review Request: okteta4 - Binary/hex editor for KDE4
Summary: Review Request: okteta4 - Binary/hex editor for KDE4
Keywords:
Status: CLOSED RAWHIDE
Alias: okteta4
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-04-01 17:16 UTC by Rex Dieter
Modified: 2015-04-21 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-17 11:42:00 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2015-04-01 17:16:36 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4-4.14.3-50.fc22.src.rpm
Description: Binary/hex editor for KDE4
Fedora Account System Username: rdieter

Compat okteta kpart/libraries, still needed by some KDE4 applications (like kdevelop).  Paves the way for KF5 okteta.

Comment 1 Rex Dieter 2015-04-01 17:22:33 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=9393988

Comment 2 Florian "der-flo" Lehner 2015-04-05 12:53:52 UTC
Hi Dieter

There is one error and some warnings from rpmlint:
[...]
okteta4-libs.x86_64: W: obsolete-not-provided okteta-libs
okteta4-libs.x86_64: W: obsolete-not-provided okteta-part
okteta4-libs.x86_64: W: no-documentation
okteta4-libs.x86_64: W: non-executable-in-bin /usr/bin/struct2osd.sh 0644L
okteta4-libs.x86_64: E: non-executable-script /usr/bin/struct2osd.sh 0644L /bin/bash
[...]

Everything else seems to be fine, so far.

Cheers and happy Easter!
 Flo

For the records:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9417501

Comment 3 Rex Dieter 2015-04-05 17:44:33 UTC
the okteta-libs and okteta-part items will continue to be provided by the main okteta package, this is just a kde4 version to provide compatibility with older apps not yet ported to kf5 (kdevelop mostly)

the struct2osd.sh script almost certainly should be executable, we can definitely fix that.

Comment 4 Rex Dieter 2015-04-05 22:39:48 UTC
%changelog
* Sun Apr 05 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-51
- drop needless Obsoletes, fix struct2osd.sh permissions

Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4-4.14.3-51fc22.src.rpm

Comment 5 Rex Dieter 2015-04-06 12:38:35 UTC
Sorry, bad SRMM URL, here are better links:

Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/okteta4-4.14.3-51.fc22.src.rpm

Comment 6 Florian "der-flo" Lehner 2015-04-06 15:12:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in okteta4-libs
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

   Package uses gtk-update-icon-cache and update-mime-database instead
   ---> no issue

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2.1 or later)", "LGPL", "Unknown or
     generated". 30 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/kde4,
     /usr/include/kde4/KDE
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/kde4/okteta1
     (okteta-devel), /usr/include/kde4/KDE/Kasten2(okteta-devel),
     /usr/share/kde4/apps/okteta(okteta),
     /usr/share/kde4/apps/okteta/structures(okteta), /usr/include/kde4/kasten2
     (okteta-devel), /usr/share/kde4/apps/okteta/structures/png(okteta),
     /usr/share/kde4/apps/oktetapart(okteta),
     /usr/include/kde4/kasten2/okteta1(okteta-devel),
     /usr/share/kde4/apps/okteta/structures/elf(okteta),
     /usr/include/kde4/KDE/Okteta1(okteta-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     okteta4-libs , okteta4-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9421529
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: okteta4-libs-4.14.3-51.fc23.x86_64.rpm
          okteta4-devel-4.14.3-51.fc23.x86_64.rpm
          okteta4-4.14.3-51.fc23.src.rpm
okteta4-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
okteta4-libs.x86_64: W: spelling-error Summary(en_US) kpart -> kart, part, apart
okteta4-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
okteta4-libs.x86_64: W: spelling-error %description -l en_US kpart -> kart, part, apart
okteta4-libs.x86_64: W: obsolete-not-provided okteta-libs
okteta4-libs.x86_64: W: no-documentation
okteta4-libs.x86_64: W: no-manual-page-for-binary struct2osd.sh
okteta4-devel.x86_64: W: only-non-binary-in-usr-lib
okteta4-devel.x86_64: W: no-documentation
okteta4.src: W: spelling-error %description -l en_US Okteta -> Teetotal
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
okteta4-devel (rpmlib, GLIBC filtered):
    okteta4-libs(x86-64)

okteta4-libs (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtScriptTools.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkasten2controllers.so.2()(64bit)
    libkasten2core.so.2()(64bit)
    libkasten2gui.so.2()(64bit)
    libkasten2okteta1controllers.so.1()(64bit)
    libkasten2okteta1core.so.1()(64bit)
    libkasten2okteta1gui.so.1()(64bit)
    libkcmutils.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libknewstuff3.so.4()(64bit)
    libkparts.so.4()(64bit)
    libm.so.6()(64bit)
    libokteta1core.so.1()(64bit)
    libokteta1gui.so.1()(64bit)
    libpthread.so.0()(64bit)
    libqca.so.2()(64bit)
    libsolid.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
okteta4-devel:
    okteta4-devel
    okteta4-devel(x86-64)

okteta4-libs:
    libkasten2controllers.so.2()(64bit)
    libkasten2core.so.2()(64bit)
    libkasten2gui.so.2()(64bit)
    libkasten2okteta1controllers.so.1()(64bit)
    libkasten2okteta1core.so.1()(64bit)
    libkasten2okteta1gui.so.1()(64bit)
    libkbytearrayedit.so()(64bit)
    libokteta1core.so.1()(64bit)
    libokteta1gui.so.1()(64bit)
    okteta4-libs
    okteta4-libs(x86-64)
    okteta4-part
    okteta4-part(x86-64)



Unversioned so-files
--------------------
okteta4-libs: /usr/lib64/kde4/libkbytearrayedit.so
okteta4-libs: /usr/lib64/kde4/oktetapart.so
okteta4-libs: /usr/lib64/kde4/plugins/designer/oktetadesignerplugin.so

Source checksums
----------------
http://download.kde.org/stable/4.14.3/src/okteta-4.14.3.tar.xz :
  CHECKSUM(SHA256) this package     : bd6e26be988778380128e4bda2dbb047074adffeb02819ee7665ad70f94cfaed
  CHECKSUM(SHA256) upstream package : bd6e26be988778380128e4bda2dbb047074adffeb02819ee7665ad70f94cfaed


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1208222
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 7 Rex Dieter 2015-04-06 16:26:49 UTC
New Package SCM Request
=======================
Package Name: okteta4
Short Description: Binary/hex editor for KDE4
Upstream URL: https://projects.kde.org/projects/kde/kdesdk/okteta
Owners: group::kde-sig rdieter
Branches: f22
InitialCC:

Comment 8 Gwyn Ciesla 2015-04-06 17:08:01 UTC
Git done (by process-git-requests).

Comment 9 Rex Dieter 2015-04-17 11:42:00 UTC
imported, thanks!


Note You need to log in before you can comment on or make changes to this bug.